#################################################################
# xterm.tcl - interface that assumes xterm takes care of output
#
# Copyright (C) 1997-1999 Mark Patton
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#################################################################

source [file join $env(MMUCL_DIR) lib mmucl.tcl]
source [file join $env(MMUCL_DIR) lib mmucl_gui.tcl]
source [file join $env(MMUCL_DIR) lib balloon.tcl]

mmucl::gui_init

mmucl::toolbar .toolbar

menubutton .toolbar.options -menu .toolbar.options.m -text Options
mmucl::option_menu .toolbar.options.m

button .toolbar.help -image help.gif -command mmucl::MChelp
balloon_add .toolbar.help "Help"
button .toolbar.quit -image quit.gif -command mmucl::tk_exit
balloon_add .toolbar.quit "Quit"

pack  .toolbar.options -padx 3 -side left
pack .toolbar.quit .toolbar.help -side right

mmucl::user_entry .input

grid .toolbar -sticky ew 
grid .input -sticky ew 
grid columnconfigure . 0 -weight 1

wm resizable . 1 0

# accept input from the console.

fconfigure stdin -blocking 0
fileevent stdin readable {
    if {[catch {mmucl::MCparse [gets stdin]} error]} {
	mmucl::report error $error
    }
    if {[eof stdin]} {
	mmucl::MCexit
    }
}

focus .input

mmucl::init